Skip to main content
PUT
Update a work order

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

workOrderId
integer
required

ID of the work order.

Body

application/json
produced_sku_id
integer

ID of the SKU to produce (references a request_for_quotes SKU record).

planned_qty
number

Planned quantity to produce. Must be at least 0.0001.

Required range: x >= 0.0001
production_warehouse_id
integer | null

Warehouse where production occurs.

destination_warehouse_id
integer

Warehouse where the produced goods are received.

vendor_id
integer | null

Vendor performing the work (for subcontracted production).

bom_id
integer | null

Bill of materials to use for this work order.

expected_completion_date
string<date> | null

Expected completion date for the work order.

completion_trigger
enum<string> | null

Event that marks the work order as complete.

Available options:
finish_step,
receipt
service_unit_price
number | null

Per-unit service price for subcontracted production.

Required range: x >= 0
notes
string | null

Free-form notes for the work order.

custom_fields
object | null

Custom field key/value pairs.

alternate_ids
string[] | null

Alternate identifiers for the work order.

Response

Successful response

data
object